Plex classic being updated to work with 3.9.1

plex-classic-for-roku

#1

I stupidly updated my PMS, now cant get it to work with telstra TV. Is plex classic going to be updated to interface with 3.9.1 or do I need to revert?